config/routes.rb
Rails.application.routes.draw do
  resources :actor_histories
  resources :movie_watchlists
  resources :actor_fanlists
  resources :actor_lists
  resources :movie_histories
  resources :ratings
  resources :movie_lists
  resources :seasons
  resources :age_ratings
  resources :cast_members
  resources :actors
  resources :movie_tag_counts
  resources :movie_tags
  resources :countries
  resources :genres
  devise_for :users
  resources :movies
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/actor_history.rb
class ActorHistory < ApplicationRecord
end

app/controllers/actor_histories_controller.rb
class ActorHistoriesController < ApplicationController
  before_action :set_actor_history, only: [:show, :edit, :update, :destroy]

  # GET /actor_histories
  # GET /actor_histories.json
  def index
    @actor_histories = ActorHistory.all
  end

  # GET /actor_histories/1
  # GET /actor_histories/1.json
  def show
  end

  # GET /actor_histories/new
  def new
    @actor_history = ActorHistory.new
  end

  # GET /actor_histories/1/edit
  def edit
  end

  # POST /actor_histories
  # POST /actor_histories.json
  def create
    @actor_history = ActorHistory.new(actor_history_params)

    respond_to do |format|
      if @actor_history.save
        format.html { redirect_to @actor_history, notice: 'Actor history was successfully created.' }
        format.json { render :show, status: :created, location: @actor_history }
      else
        format.html { render :new }
        format.json { render json: @actor_history.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /actor_histories/1
  # PATCH/PUT /actor_histories/1.json
  def update
    respond_to do |format|
      if @actor_history.update(actor_history_params)
        format.html { redirect_to @actor_history, notice: 'Actor history was successfully updated.' }
        format.json { render :show, status: :ok, location: @actor_history }
      else
        format.html { render :edit }
        format.json { render json: @actor_history.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /actor_histories/1
  # DELETE /actor_histories/1.json
  def destroy
    @actor_history.destroy
    respond_to do |format|
      format.html { redirect_to actor_histories_url, notice: 'Actor history was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_actor_history
      @actor_history = ActorHistory.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def actor_history_params
      params.require(:actor_history).permit(:actor_id, :actor_content)
    end
end

app/helpers/actor_histories_helper.rb
module ActorHistoriesHelper
end

app/views/actor_histories/_form.html.erb
<%= form_for(actor_history) do |f| %>
  <% if actor_history.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(actor_history.errors.count, "error") %> prohibited this actor_history from being saved:</h2>

      <ul>
      <% actor_history.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :actor_id %>
    <%= f.number_field :actor_id %>
  </div>

  <div class="field">
    <%= f.label :actor_content %>
    <%= f.text_field :actor_content %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/actor_histories/edit.html.erb
<h1>Editing Actor History</h1>

<%= render 'form', actor_history: @actor_history %>

<%= link_to 'Show', @actor_history %> |
<%= link_to 'Back', actor_histories_path %>

app/views/actor_histories/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Actor Histories</h1>

<table>
  <thead>
    <tr>
      <th>Actor</th>
      <th>Actor content</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @actor_histories.each do |actor_history| %>
      <tr>
        <td><%= actor_history.actor_id %></td>
        <td><%= actor_history.actor_content %></td>
        <td><%= link_to 'Show', actor_history %></td>
        <td><%= link_to 'Edit', edit_actor_history_path(actor_history) %></td>
        <td><%= link_to 'Destroy', actor_history, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Actor History', new_actor_history_path %>

app/views/actor_histories/new.html.erb
<h1>New Actor History</h1>

<%= render 'form', actor_history: @actor_history %>

<%= link_to 'Back', actor_histories_path %>

app/views/actor_histories/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Actor:</strong>
  <%= @actor_history.actor_id %>
</p>

<p>
  <strong>Actor content:</strong>
  <%= @actor_history.actor_content %>
</p>

<%= link_to 'Edit', edit_actor_history_path(@actor_history) %> |
<%= link_to 'Back', actor_histories_path %>